=== debian/changelog ===
antimicro (3.5.0-1) unstable; urgency=medium

  * d/control:
      - Remove docs package from build depends
      - update pkgconf package
      - Update Standards Version and Vcs tags
  * New upstream version 3.5.0
  * Update patches
  * Fix fails to build source after successful build (Closes: #1043721)
  * Adopt package (Closes: #1023668)
  * Update lintian overrides
  * d/copyright: convert to DEP-5 format

 -- Laurent Arnoud <laurent@spkdev.net>  Sat, 23 Nov 2024 11:05:55 +0000
