=== debian/watch ===
version=4
opts=\
searchmode=plain,\
filenamemangle=s/.+\/(\d+(?:\.\d+)+)/antimicrox-$1.tar.gz/ \
  https://api.github.com/repos/AntiMicroX/antimicrox/tags?per_page=200 \
  https:[^"]*/tarball/refs/tags/(\d+(?:\.\d+)+)(?="|$)
