=== debian/changelog ===
antimicro (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * d/copyright: Fixed lintian report old-fsf-address-in-copyright-file
  * d/control: Update Standards Version

 -- Laurent Arnoud <laurent@spkdev.net>  Fri, 18 Jul 2025 18:01:45 +0200
