=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules,
  gettext, itstool, libsdl2-dev, libx11-dev, libxi-dev, libxtst-dev,
  lsb-release, pkgconf, qttools5-dev, qttools5-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/spk-guest/antimicro.git
 Vcs-Browser: https://salsa.debian.org/spk-guest/antimicro
